<?xml version="1.0" encoding="gb2312"?>
<Config>
    <camera_pos>3</camera_pos> <!-- MHA 对应 3, main camera right-->
    <fov_scale>1.00</fov_scale><!-- 副camera fov / 主camera fov--><!-- MHA/DUKE/VV 对应 1.03/1/1.03-->
    <BM>
        <block_match_skip>0</block_match_skip>
        <use_extra_candidate>1</use_extra_candidate>
    </BM>
    <FUSION>
        <weight_r_low_f>0</weight_r_low_f>
        <pyd_fusion_skip>1</pyd_fusion_skip>
        <zoom_factor_th>1.0</zoom_factor_th>
        <detail_ratio_max_th>256</detail_ratio_max_th>
        <fill_mirror_flag>0</fill_mirror_flag>
        <dth_min>5</dth_min>
        <dth_max>10</dth_max>
        <pyd_k>32640</pyd_k>
        <pyd_b>0</pyd_b>
    </FUSION>
    <lut_param>
        <lutIso>50  100  200  400  800  1600  3200 6400</lutIso>
        <lutvmaxth1>  3  3  4  5  8  8  8  8</lutvmaxth1>
        <lut_vctr_th0>0  4  4  4  4  4  4  4</lut_vctr_th0>
        <lut_vctr_th1>0  4  4  4  4  4  4  4</lut_vctr_th1>
        <lut_flat_th0>2  2  1  1  1  1  1  4</lut_flat_th0>
        <lut_flat_th1>5  5  3  3  4  8  8  8</lut_flat_th1><!--lut_flat_th1>4  6  8  8  8  8  8  8</lut_flat_th1-->
        <wluty_th0>1024  1024  1024  1024  1024  1024  1024  1024</wluty_th0>
        <wluty_th1> 896   896   896   896   896   896   896   896</wluty_th1>
        <wluty_th2> 128   300   300   300   300   300   300   300</wluty_th2>
        <wluty_th3>0    0   0   0   0   0   0    0</wluty_th3>
        <wlutx_th0>3    10  12  14  15  16  16  16</wlutx_th0>
        <wlutx_th1>6    14  14  16  17  18  18  18</wlutx_th1>
        <wlutx_th2>11   24  26  28  29  30  30  30</wlutx_th2>
        <wlutx_th3>13   32  32  32  32  32  32  32</wlutx_th3>
    </lut_param>
    <weight_fusion>
        <!--           iso         wlut_p                mul_dense_texture    mul_y_diff         coef_q_diff                coef_r_h_f               coef_q_h_f               coef_r_wtlut               -->
        <!--        [0,15000]       []                       u.4                  u.4                 u.7                       u.8                       u.8                     u.8                    -->
        <param0>      50      6 9 15 18 4096 3584 512 0   6 20 16 16         35 45 16 16      0 2 200 240 256 128 128   5 10 200 240 0 256 256   10 15 20 30 256 128 0    2 5 200 240 0 256 256     </param0> 
        <param1>      100     6 9 15 18 4096 3584 512 0   6 20 16 16         35 45 16 16      0 2 200 240 256 128 128   5 10 200 240 0 256 256   10 15 20 30 256 160 0    2 5 200 240 0 256 256     </param1>
        <param2>      200     6 9 15 18 4096 3584 512 0   6 20 16 16         35 45 16 16      0 2 200 240 256 128 128   5 10 200 240 0 256 256   10 15 20 30 256 200 0    2 5 200 240 0 256 256     </param2>
        <param3>      400     6 9 15 18 4096 3584 512 0   6 20 16 16         35 45 16 16      0 2 200 240 256 128 128   5 10 200 240 0 256 256   10 15 20 30 256 256 0    2 5 200 240 0 256 256     </param3>
        <param4>      800     6 9 15 18 4096 3584 512 0   6 20 16 16         35 45 16 16      0 2 200 240 256 128 128   5 10 200 240 0 256 256   10 15 20 30 256 256 0    2 5 200 240 0 256 256     </param4>
        <param5>      1600    6 9 15 18 4096 3584 512 0   6 20 16 16         35 45 16 16      0 2 200 240 256 128 128   5 10 200 240 0 256 256   10 15 20 30 256 256 0    2 5 200 240 0 256 256     </param5>
        <param6>      3200    6 9 15 18 4096 3584 512 0   6 20 16 16         35 45 16 16      0 2 200 240 256 128 128   5 10 200 240 0 256 256   10 15 20 30 256 256 0    2 5 200 240 0 256 256     </param6>
        <param7>      6400    6 9 15 18 4096 3584 512 0   6 20 16 16         35 45 16 16      0 2 200 240 256 128 128   5 10 200 240 0 256 256   10 15 20 30 256 256 0    2 5 200 240 0 256 256     </param7>
    </weight_fusion>
    <!--params for different iso-->
    <!--mono_eps at [0.032, 0.16]-->
    <!--color_eps at [0.04, 0.16]-->
    <isoCount>6</isoCount>
    <iso1>
        <iso>512</iso>
        <color_eps>0.04</color_eps>
        <color_r>4</color_r>
        <color_weight_shiftbit>3</color_weight_shiftbit>
    </iso1>
    <iso2>
        <iso>1024</iso>
        <color_eps>0.06</color_eps>
        <color_r>4</color_r>
        <color_weight_shiftbit>3</color_weight_shiftbit>
    </iso2>
    <iso3>
        <iso>1536</iso>
        <color_eps>0.08</color_eps>
        <color_r>4</color_r>
        <color_weight_shiftbit>3</color_weight_shiftbit>
    </iso3>
    <iso4>
        <iso>2048</iso>
        <color_eps>0.1</color_eps>
        <color_r>4</color_r>
        <color_weight_shiftbit>2</color_weight_shiftbit>      
    </iso4>
    <iso5>
        <iso>3072</iso>
        <color_eps>0.12</color_eps>
        <color_r>4</color_r>
        <color_weight_shiftbit>2</color_weight_shiftbit>
    </iso5>
    <iso6>
        <iso>4096</iso>
        <color_eps>0.12</color_eps>
        <color_r>4</color_r>
        <color_weight_shiftbit>2</color_weight_shiftbit>
    </iso6>
    <MFNR>
        <iso_switch>10000</iso_switch>
        <NOISE_PROFILE>
            <K_A>0.00023953</K_A>
            <K_B>0.00000000</K_B>
            <B_A>0.00000027</B_A>
            <B_B>0.00015180</B_B>
            <BLC>16</BLC>
        </NOISE_PROFILE>
        <GHOST_PARAMS>
            <iso>       100     200   400    800    1600   2400   3200   6400     </iso> <!-- iso threshold for th0~th7 -->
            <factor>    1.500   1.500 1.500  1.500  1.000  1.000  1.000  1.000    </factor>  <!-- factor,dark_level:[1.0,2.0]; c:(0,2047] -->
            <dark_level>4.500   4.500 4.500  4.500  2.000  2.000  2.000  2.000    </dark_level>
            <c>         15.00   15.00 15.00  15.00  18.000 28.000 36.000 72.000   </c>
        </GHOST_PARAMS>
    </MFNR>
    <RAW2YUV>
        <raw2yuv_mode>3 2</raw2yuv_mode>
        <switch_cnn_dm>1 0</switch_cnn_dm>
        <cnndm_de>
            <bypass>1 0</bypass>
        </cnndm_de>
        <rawnf>
            <bypass>0 0</bypass>
        </rawnf>
        <de>
            <bypass>1 0</bypass>
        </de>
        <drc>
            <bypass>0 0</bypass>
        </drc>
        <lsc>
            <bypass>0 0</bypass>
        </lsc>
        <yuvnf_iir>
            <bypass>0 0</bypass>
        </yuvnf_iir>
        <cc>
            <bypass>0 0</bypass>
        </cc>
        <dpcc>
            <bypass>0 0</bypass>
        </dpcc>
        <yuvnf>
            <bypass>0 0</bypass>
        </yuvnf>
        <sharpen>
            <bypass>0 0</bypass>
        </sharpen>
        <sharpen_arsr>
            <bypass>0 0</bypass>
        </sharpen_arsr>
    </RAW2YUV>
</Config>